/*
 * Copyright (C) Sapphirecode - All Rights Reserved
 * This file is part of appreports which is released under GPL-3.0-or-later.
 * See file 'LICENSE' for full license details.
 * Created by Timo Hocker <timo@scode.ovh>, August 2020
 */

export default [
  {
    type:    'chart',
    x:    'timestamp',
    y:    [
      {
        label: 'temperature',
        field: 'data/temperature',
        color: '#ff0000',
        fill:  '#0000'
      },
      {
        label: 'humidity',
        field: 'data/humidity',
        color: '#0000ff',
        fill:  '#0000'
      },
      {
        label: 'light',
        field: 'data/light',
        color: '#ffff00',
        fill:  '#0000'
      }
    ]
  },
  {
    type:    'table',
    columns: [
      'id',
      'message',
      'data',
      'timestamp'
    ]
  }
];
